<template functional>
  <section
    :ref="data.ref"
    class="py-4 sm:py-6 bg-black"
    :class="[data.class, data.staticClass]"
    style="padding-left: var(--footer-px); padding-right: var(--footer-px)"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <p class="mt-0 font-light text-sm">
      Copyright © {{ props.year }}
      <hyper-link class="underline hover:text-white" to="//www.adabits.org/">
        Adab1ts
      </hyper-link>
      · Crafted lovingly in Barri de Sants, Barcelona
    </p>
  </section>
</template>

<script>
export default {
  name: 'FooterCopyrightNotice',
  props: {
    year: { type: String, default: `${new Date().getFullYear()}` },
  },
};
</script>
